Home Directory

Search Exchange

Search All Sites

Nagios Live Webinars

Let our experts show you how Nagios can help your organization.

Contact Us

Phone: 1-888-NAGIOS-1
Email: sales@nagios.com

Login

Remember Me

Directory

YELLOWDOG

Reviews(2)
byYELLOWDOG, January 24, 2019
Hello, I try to use your plugin in a FAN version of NAGIOS (core 3.4.4). But when trying to execute your script I have the followinf errors:
ImportError: No module named json
and
Unable to login to VCSA API, please check credentials and firewall.

Is my problem due that JSON is missing in FAN, if so is it possible to install that module or not, or do I have to install a new version of NAGIOS with JSON embeded ?

Thanks for the answer.
check_esxi_hardware.py
This plugin is working with most of version of ESXi and DELL, HP and IBM manufacturers.
But I was unable to use it for IBM System X3650 M4 installed with version 6.0 of ESXi.
I had to uncomment the class CIM_Card in the source of the plugin in order to make it work properly. Otherwise I got the following error:
Check classe CIM_Card
Traceback (most recent call last):
File "./check_esxi_hardware.py", line 561, in ?
verboseoutput(" Element Name = "+elementName)
TypeError: cannot concatenate 'str' and 'NoneType' objects